curl --request GET \
--url https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_name": "<string>",
"contracted_under": "<string>",
"insurance_types": [
"COMMERCIAL"
],
"plans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"excluded_plans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"service_locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"task_types": [
"BENEFITS_CHECK"
],
"ipa_required": true,
"version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"contract_npi": "1234567890",
"contract_tin": "123456789",
"billing_service_location": null,
"medicaid_id": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Get Payor Contract
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payor_name": "<string>",
"contracted_under": "<string>",
"insurance_types": [
"COMMERCIAL"
],
"plans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"excluded_plans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"service_locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"task_types": [
"BENEFITS_CHECK"
],
"ipa_required": true,
"version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"contract_npi": "1234567890",
"contract_tin": "123456789",
"billing_service_location": null,
"medicaid_id": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}task_types lists the task types this contract applies to (BENEFITS_CHECK and/or PRIOR_AUTHORIZATION). An empty list means the contract applies to all task types. Eligibility checks and payor detections use the contracts that apply to BENEFITS_CHECK.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The contract's Silna identifier
The payor's Silna identifier
Payor name
Name of the clinician or provider group this contract is for
Specifies which insurance types this contract covers. When no types are selected, the contract applies to all insurance types.
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE Specific plans included in this contract. When no plans are selected, the contract applies to all plans.
Show child attributes
Show child attributes
Plans specifically excluded from this contract. The contract applies to all plans except those listed.
Show child attributes
Show child attributes
Service locations associated with this contract. At least one service location is required.
Show child attributes
Show child attributes
Specifies which task types this contract applies to. When no task types are selected, the contract applies to all task types.
BENEFITS_CHECK, PRIOR_AUTHORIZATION When enabled, this contract only applies when the patient is associated with one of the contract's IPAs.
Contract version number
Contract creation timestamp
National Provider Identifier
"1234567890"
Tax Identification Number
"123456789"
The service location to bill under for this contract. When set, it overrides the service location on benefits checks and prior authorizations that use this contract.
Show child attributes
Show child attributes
Medicaid ID